Index: src/arch/i386/Makefile.inc
===================================================================
--- src/arch/i386/Makefile.inc	(revision 4985)
+++ src/arch/i386/Makefile.inc	(working copy)
@@ -14,7 +14,7 @@
 
 $(obj)/coreboot.rom: $(obj)/coreboot.bootblock $(obj)/coreboot_ram $(CBFSTOOL)
 	rm -f $@
-	$(CBFSTOOL) $@ create $(shell expr 1024 \* $(CONFIG_COREBOOT_ROMSIZE_KB)) $(obj)/coreboot.bootblock
+	$(CBFSTOOL) $@ create $(CONFIG_COREBOOT_ROMSIZE_KB)K $(obj)/coreboot.bootblock
 	if [ -f fallback/coreboot_apc ]; \
 	then \
 		$(CBFSTOOL) $@ add-stage fallback/coreboot_apc fallback/coreboot_apc $(CBFS_COMPRESS_FLAG); \
Index: util/cbfstool/cbfstool.c
===================================================================
--- util/cbfstool/cbfstool.c	(revision 4985)
+++ util/cbfstool/cbfstool.c	(working copy)
@@ -192,7 +192,14 @@
 		return 1;
 	}
 
-	uint32_t size = strtoul(argv[3], NULL, 0);
+	char* suffix;
+	uint32_t size = strtoul(argv[3], &suffix, 0);
+	if (tolower(suffix[0])=='k') {
+		size *= 1024;
+	}
+	if (tolower(suffix[0])=='m') {
+		size *= 1024 * 1024;
+	}
 	char *bootblock = argv[4];
 	uint32_t align = 0;
 
